Subject: Re: Request for i2c re-inclusion in linux-next

From: Conor Dooley <[email-masked]>
Date: Fri, 26 Jan 2024 08:40:54 +0000

On Fri, Jan 26, 2024 at 07:53:58AM +0100, Andi Shyti wrote:
> Hi Stephen,
> 
> > > could you please include in the linux-next i2c related branches
> > > from my repository:
> > > 
> > > https://kernel.googlesource.com/pub/scm/linux/kernel/git/andi.shyti/linux.git
> > > 
> > > the following branches:
> > > 
> > > for next:       i2c/for-next
> > > fixes:          i2c/for-current
> > > 
> > > I have requested this branch to be the main repository for
> > > collecting i2c host patches[*].
> > > 
> > > Thank you,
> > > Andi
> > > 
> > > [*] https://lore.kernel.org/all/[email-masked]/
> > 
> > OK, I currently have an i2c tree from Wolfram who is listed as the
> > maintainer, so I need to hear from him (and do you meant to replace his
> > tree, or add another one?). 
> 
> Yes, I'm going to replace Wolfram's tree. We've been agreeing
> together on this change.

Passing meddler, this tree is just for host controllers and separate
from the i2c subsystem tree, right?

There seems to only be one tree in Next/Trees for the whole subsystem,
rather than one for the subsystem and one for host controllers.